Resource

On Call Duty Policy Feed

Log of the entire onCallDutyPolicy state change. This is a log of all the on call duty policy changes.

The On Call Duty Policy Feed Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to OnCallDutyPolicy in which this resource belongs

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    Relation to OnCallDutyPolicy ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    feedInfoInMarkdown
    Type
    MarkdownRequired
    Description

    Log of the entire onCallDutyPolicy state change in Markdown

  • Name
    moreInformationInMarkdown
    Type
    Markdown
    Description

    More information in Markdown

  • Name
    onCallDutyPolicyFeedEventType
    Type
    TextRequired
    Description

    On Call Duty Policy Feed Event

  • Name
    displayColor
    Type
    ColorRequired
    Description

    Display color for the onCallDutyPolicy log

  • Name
    user
    Type
    User
    Description

    Relation to User who this feed belongs to (if this feed belongs to a User)

  • Name
    userId
    Type
    Object ID
    Description

    User who this feed belongs to (if this feed belongs to a User)

  • Name
    postedAt
    Type
    Date
    Description

    Date and time when the feed was posted

GETorPOST/api/on-call-duty-policy-feed/get-list

List

This endpoint allows you to retrieve a paginated list of all your On Call Duty Policy Feed. By default, a maximum of ten On Call Duty Policy Feed are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-feed/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "onCallDutyPolicyFeedEventType": true,
    "onCallDutyPolicyId": true,
    "projectId": true
  },
  "query": {
    "onCallDutyPolicyFeedEventType": "UserAdded"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37762590-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#2ecc71",
      "feedInfoInMarkdown": "## User Added to On-Call Duty Policy\n\nJohn Doe has been added to the on-call rotation for the weekend shift.",
      "onCallDutyPolicyFeedEventType": "UserAdded",
      "onCallDutyPolicyId": "8b9c0d1e-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "37762591-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#2ecc71",
      "feedInfoInMarkdown": "## User Added to On-Call Duty Policy\n\nJohn Doe has been added to the on-call rotation for the weekend shift.",
      "onCallDutyPolicyFeedEventType": "UserAdded",
      "onCallDutyPolicyId": "8b9c0d1e-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "37762592-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#2ecc71",
      "feedInfoInMarkdown": "## User Added to On-Call Duty Policy\n\nJohn Doe has been added to the on-call rotation for the weekend shift.",
      "onCallDutyPolicyFeedEventType": "UserAdded",
      "onCallDutyPolicyId": "8b9c0d1e-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-feed/:id/get-item

Get item by ID

This endpoint allows you to retrieve On Call Duty Policy Feed by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-feed/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "onCallDutyPolicyFeedEventType": true,
    "onCallDutyPolicyId": true,
    "projectId": true
  }
}

Response

{
  "_id": "37762590-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#2ecc71",
  "feedInfoInMarkdown": "## User Added to On-Call Duty Policy\n\nJohn Doe has been added to the on-call rotation for the weekend shift.",
  "onCallDutyPolicyFeedEventType": "UserAdded",
  "onCallDutyPolicyId": "8b9c0d1e-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
POST/api/on-call-duty-policy-feed/count

Count

This endpoint allows you to retrieve the count of all your On Call Duty Policy Feed.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-feed/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "onCallDutyPolicyFeedEventType": "UserAdded"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-feed

Create On Call Duty Policy Feed

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-feed
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "displayColor": "#2ecc71",
    "feedInfoInMarkdown": "## User Added to On-Call Duty Policy\n\nJohn Doe has been added to the on-call rotation for the weekend shift.",
    "onCallDutyPolicyFeedEventType": "UserAdded",
    "onCallDutyPolicyId": "8b9c0d1e-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "37762590-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#2ecc71",
  "feedInfoInMarkdown": "## User Added to On-Call Duty Policy\n\nJohn Doe has been added to the on-call rotation for the weekend shift.",
  "onCallDutyPolicyFeedEventType": "UserAdded",
  "onCallDutyPolicyId": "8b9c0d1e-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On Call Duty Policy Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Read On Call Duty Policy Feed
  • Read All Project Resources

Create Permissions

Required to create On Call Duty Policy Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Create On Call Duty Policy Feed

Update Permissions

Required to update On Call Duty Policy Feed

This resource cannot be updated via the API

Delete Permissions

Required to delete On Call Duty Policy Feed

This resource cannot be deleted via the API